Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.dockbar.activation
Class Animation

    java.lang.Object
      org.flexdock.dockbar.activation.Animation

All Implemented Interfaces:
  ActionListener, Runnable, EventListener

    public class Animation

extends Object
implements Runnable, ActionListener

Author:
  Christopher Butler

Constructor Summary
`Animation(DockbarManager mgr, boolean hide)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`Runnable` | `getNext()`
`void` | `run()`
`void` | `setNext(Runnable next)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Animation

    public Animation(DockbarManager mgr,
                     boolean hide)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### getNext

    public Runnable getNext()

### setNext

    public void setNext(Runnable next)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD